<template>
    <lightning-card>
	<h3 slot="title">
		<lightning-icon icon-name="standard:search" size="small"></lightning-icon>
		&nbsp;PCP Selected: {practitionerName}
	</h3>
	<!-- <p>Select the address that the patient sees his/her PCP from the list below. Once you have selected the address, close this tab, go back to the PCP section of the registration form, and click 'Refresh'.</p> -->
	<lightning-layout vertical-align="center" class="slds-border_left slds-border_right slds-border_top slds-border_bottom slds-p-around_xx-small">
		<template if:true={noRows}>
			<lightning-card  title="No Practitioner Addresses Found">
				<p class="slds-p-horizontal_small">There is either not a PCP selected for this patient, or the PCP has no locations in the system.</p>
				<p slot="footer">No Results</p>
			</lightning-card>
	</template>
	</lightning-layout>	
	<template if:true={addresses}>
		<lightning-layout-item padding="around-small">
			<lightning-card> 
				<lightning-map
					map-markers={mapMarkers}
					markers-title="Provider Locations"
					onmarkerselect={handleMarkerSelect}
					zoom-level={zoomLevel}
					list-view="visible"
					>
				</lightning-map>
			</lightning-card>
		</lightning-layout-item>
	</template>
</lightning-card>
</template>